CoCoA-5 - Feature #529

Naive version of resolution and Betti numbers
09 Apr 2014 10:19 - Anna Maria Bigatti

Status: Closed Start date: 09 Apr 2014
Priority: High Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: CoCoA-4 function to be added Estimated time: 5.00 hours
Target version: CoCoA-5.1.0 Easter14 Spent time: 5.00 hours
Description

Implement a naive version of resolution and Betti numbers while hoping for the (very delicate) optimized resolution algorithm
implementation.

Related issues:

Related to CoCoALib - Feature #409: Minimal syzygies (optimized implementation) New 17 Oct 2013
Related to CoCoA-5 - Bug #509: SyzOfGens (CoCoA-5) does not have correct shifts Closed 03 Apr 2014
History

#1 - 09 Apr 2014 14:54 - Anna Maria Bigatti
- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 30

I now have implemented BettiMatrix and BettiDiagram in CoCoALanguage.

Where should they go? What syntax should they have?

Now the resolution is both naive (i.e. slow) and is not stored internally (not a trivial task).
So calling Betti.... would recompute the resolution.

#2 - 10 Apr 2014 09:02 - Anna Maria Bigatti

- Status changed from New to Resolved

(design, testing, documenting)
Public functions are PrintRes, PrintBettiMatrix and PrintBettiDiagram.
Documented.

#3 - 10 Apr 2014 09:26 - Anna Maria Bigatti
- % Done changed from 30 to 80

#4 - 09 May 2014 12:56 - Anna Maria Bigatti
- Status changed from Resolved to Closed

- Priority changed from Normal to High

- % Done changed from 80 to 100

It works, but should be cleaned up.
Mainly we should store the resolutions in the ideal (together with Hilbert, Janet..).
That is another issue (and not trivial).

Closing.
